using Itrycn_Project;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;

namespace VSoftBox
{
    static class Program
    {
        static System.Threading.Mutex run;
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Soft_Info.UserDataFolder = ryCommon.RyFiles.GetRealPath(Soft_Info.UserDataFolder);
            run = new System.Threading.Mutex(true, Soft_Info.Soft_Id, out bool runone);
            if (!runone) //已经运行了
            {
                ryCommon.Ini ini = new ryCommon.Ini(Soft_Info.UserDataFolder + "\\Win.dat");
                ryControls.Win32.SendMessage((IntPtr)ini.ReadIni(Soft_Info.Soft_Id, "hwnd", 0), 17189, 100, 100);
            }
            else
            {
                Application.Run(new VSoft.FrmVSoft(args));
                //Application.Run(new WindowsFormsApp2.Form1());
            }
        }
    }
}
